#ifndef __INTERFACE__H
#define  __INTERFACE__H
extern void LocalDimming_Init();
extern void setGpioLevel(int num, int level);
extern int SPI_Transfer(const char *pu8TxBuf, char *pu8RxBuf, int i32len);
extern int AW20144_Byte_Write(int i32ChipSelect, char u8Page, char u8Addr, char u8Val);
extern void resetPwm();
extern void setPwmtomax();
extern void eachPicWrite(int num, int pic);

int xfm_Init();
void protocalAck(int fileusb);
uint16_t getAngle(char *rece);
uint16_t CrcValueCalc(const uint8_t *cpucData, uint16_t usLength);
void sentUart(char *buf, int fileuart);
void circleReading();

typedef void(*audio_event_cb_t)(void *user_ctx, int id);
void audio_set_callback(audio_event_cb_t cb, void *user_ctx);
#endif
